We know that plugin developers often make use of the third-party libraries that we ship with Confluence — things like the Apache Commons libraries, or joda-time. However, given the effort involved in upgrading, we don’t always ship the most-recent versions of those 3rd party libraries. In fact, we usually take an “if it ain’t broke” approach to upgrading, and only really upgrade it when we need the new functionality or fixes.
However, sometimes you, our hearty plugin developers, do need the latest version of some library to realize your insanely great plugin ideas. So, to that end, we’ve whipped up this little page for you to request our attention. Just tell know what libraries you’d like to see upgraded (and preferably why) and we’ll do our best to work it in.
Thanks for your feedback.

Fresh ideas, announcements, and inspiration for your team, delivered weekly.

Subscribe now

Fresh ideas, announcements, and inspiration for your team, delivered weekly.

Subscribe now